package com.ruoyi.wx.web.domain.vo;

import com.ruoyi.framework.recovery.domain.WxCredit;

import java.util.List;

public class WxCreditVo {
    /**
     * 所有积分类型
     */
    private List<WxCredit> credits;
    /**
     * 已经记录过的积分
     */
    private List<Long> removeCreateIds;

    public List<WxCredit> getCredits() {
        return credits;
    }

    public void setCredits(List<WxCredit> credits) {
        this.credits = credits;
    }

    public List<Long> getRemoveCreateIds() {
        return removeCreateIds;
    }

    public void setRemoveCreateIds(List<Long> removeCreateIds) {
        this.removeCreateIds = removeCreateIds;
    }

    @Override
    public String toString() {
        final StringBuffer sb = new StringBuffer("WxCreditVo{");
        sb.append("credits=").append(credits);
        sb.append(", removeCreateIds=").append(removeCreateIds);
        sb.append('}');
        return sb.toString();
    }
}
